API Marketplace
  1. Argos
  • How to use
    • Overview
  • Webparsers API Marketplace
    • Walmart
      • Get Walmart Product Details
      • Search Walmart Products
      • Get Walmart Product Sellers
      • Get Walmart Order (Put cookie)
      • Walmat Delivery tracking
      • Get Walmart Product Sellers v2 (Proper BuyBox)
    • Walmart Business
      • Get Walmart Business Product Details
      • Search Walmart Business Products
      • Get Walmart Business Product Sellers
    • Amazon
      • Get product Amazon
      • Search Amazon
      • Get offers Amazon
      • Get Amazon page by url
    • Amazon Business
      • Get product Amazon
      • Search Amazon
      • Get offers Amazon
    • Google
      • Google Trends
    • Ebay
      • Get product Ebay
      • Search Ebay
    • Kaufland
      • Get product Kaufland
      • Get product pricing Kaufland
      • Search Kaufland
      • Get offers Kaufland
    • Naver
      • Get Product information from Naver
      • Get Benefit from Naver
      • Get Benefit Npay from Naver
      • Get Product-Benefits from Naver
      • Get Product-Benefits Npay from Naver
      • Search Naver products
      • MSearch Naver products
    • Sahibinden
      • Get Sahibinden Product Details
    • Shopee
      • Shopee Create Task
      • Shopee Get Task Status
      • Shopee Get Task Result
      • Get Shopee get_pc
      • Get Shopee Product Details
    • Shein
      • Get Shein Product Details
    • TikTok
      • Get TikTok Product Details
      • Search TikTok products
      • Get TikTok Seller details
    • Universal Scraping
      • Universal Web Scraping HTML API
      • Universal Web Scraping Structured API
    • Allegro
      • Get product Allegro
    • Champssports
      • Get Product Champssports
      • Search Champssports
      • Get champssports Order status
    • Dickssportinggoods
      • Get Product Dickssportinggoods
      • Search Dickssportinggoods
      • Return Order Products Dickssportinggoods
      • Return Self Service Dickssportinggoods
    • Footlocker
      • Get Product Footlocker
      • Search Footlocker
      • Get Footlocker Order status
    • Footlocker Kids
      • Get Product Footlocker
      • Search Footlocker
    • Etsy
      • Get product Etsy
      • Search product Etsy
    • Geizhals
      • Get product Geizhals
    • Manomano
      • Get product Manomano
    • Eurocom
      • Get product Eurocom
      • POST Search Eurocom
    • Oleole
      • Get product Oleole
      • Post search Oleole
    • Argos
      • Get product Argos
        GET
      • Get availability Argos
        GET
    • Otto
      • Get product Otto
    • Tractor Supply
      • Get product Tractor Supply
      • Get render page Tractor
      • Get price Tractor Supply
      • Get product combined Tractor Supply
    • Tabletki
      • Search Tabletki Products
      • Get Tabletki Product page
      • Get Tabletki Product prices
    • RedBubble
      • Get product Redbubble
      • Search product Redbubble
    • Rozetka
      • Get product Rozetka
      • Search product Rozetka
    • Idealo
      • Get product Idealo
    • Utils
      • EAN to Asin
      • Asin to EAN
    • Stats
      • Get billed usage
      • Get balance
      • Get API usage statistics
    • Schemas
      • HTTPValidationError
  1. Argos

Get availability Argos

Developing
GET
/argos/availability
Returns response to backend availability endpoint

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-marketplace.webparsers.com/argos/availability?url=https%3A%2F%2Fwww.argos.co.uk%2Fstores%2Fapi%2Forchestrator%2Fv0%2Flocator%2Favailability%3Forigin%3DLondon%26skuQty%3D7740064_1%26maxResults%3D10%26maxDistance%3D50%26save%3Dpdp-ss%3A%2F%26ssm%3Dtrue' \
--header 'x-api-key: <api-key>'
Response Response Example
{
  "success": true,
  "data": {
    "stores": [
      {
        "distance": "0.316",
        "storeinfo": {
          "store_id": "6516",
          "legacy_name": "Holborn Circus (Argos Collection Point)",
          "links": [
            {
              "rel": "@self",
              "href": "//www.argos.co.uk/stores/api/store/6516"
            },
            {
              "rel": "ui",
              "href": "https://www.argos.co.uk/stores/6516-holborn-circus-(argos-collection-point)"
            },
            {
              "rel": "ui-rel",
              "href": "/stores/6516-holborn-circus-(argos-collection-point)"
            }
          ],
          "town": "London",
          "county": "Greater London",
          "postcode": "EC1N 2TD",
          "country": "GB",
          "gmb_status": null,
          "gmb_name": null,
          "address_line": [
            "123 Holborn",
            null,
            null,
            null,
            null
          ],
          "location": {
            "longitude": "-0.108495",
            "latitude": "51.518071"
          },
          "phonebook": [
            {
              "name": "Primary",
              "number": "0345 640 2020"
            },
            {
              "name": "additional",
              "number": null
            }
          ],
          "categories": null,
          "timetable": {
            "defaultWeek": {
              "monday": [
                {
                  "open": "07:00",
                  "close": "21:00"
                }
              ],
              "tuesday": [
                {
                  "open": "07:00",
                  "close": "21:00"
                }
              ],
              "wednesday": [
                {
                  "open": "07:00",
                  "close": "21:00"
                }
              ],
              "thursday": [
                {
                  "open": "07:00",
                  "close": "21:00"
                }
              ],
              "friday": [
                {
                  "open": "07:00",
                  "close": "21:00"
                }
              ],
              "saturday": [
                {
                  "open": "09:00",
                  "close": "18:00"
                }
              ],
              "sunday": [
                {
                  "open": "09:00",
                  "close": "18:00"
                }
              ]
            },
            "weeks": null,
            "specialDays": {}
          },
          "photos": [
            {
              "type": "profile",
              "href": null
            },
            {
              "type": "logo",
              "href": null
            },
            {
              "type": "cover",
              "href": null
            },
            {
              "type": "preferred",
              "href": null
            },
            {
              "type": "other",
              "href": null
            }
          ],
          "labels": null,
          "amenities": null,
          "offerings": null,
          "payments": null,
          "spoke_delivery_slots": {
            "am_friday": false,
            "am_monday": false,
            "am_saturday": false,
            "am_sunday": false,
            "am_thursday": false,
            "am_tuesday": false,
            "am_wednesday": false,
            "pm_friday": false,
            "pm_monday": false,
            "pm_saturday": false,
            "pm_sunday": false,
            "pm_thursday": false,
            "pm_tuesday": false,
            "pm_wednesday": false
          },
          "locator_settings": {
            "hns": 1,
            "prepay": 1,
            "storeprepay": 6
          },
          "brand": "Sainsbury's",
          "mandatory_prepay": null,
          "emergency_statement": null,
          "click_and_collect_location": null,
          "digital_check_in": false,
          "sainsburys_service_zone": false
        },
        "availability": [
          {
            "requested": "2026-08-06T11:29:13.139Z",
            "nodeId": "6516",
            "sku": "7740064",
            "quantityRequested": 1,
            "quantityAvailable": 0,
            "excluded": false
          }
        ],
        "messages": {
          "7740064": {
            "messageKey": "COLLECTION_OUT_OF_STOCK",
            "text": "Not in stock here",
            "icon": "out_of_stock",
            "analyticsCode": "c5",
            "fasttrack": "false"
          },
          "collection_summary": {
            "messageKey": "SINGLE_SKU_COLLECTION_MESSAGE_AT",
            "text": "Not in stock here",
            "icon": "out_of_stock",
            "analyticsCode": "tc0",
            "fasttrack": "false"
          }
        },
        "store_i
Modified at 2026-08-06 11:28:27
Previous
Get product Argos
Next
Get product Otto
Built with